%define upstream_name    Modem-Vgetty
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Epoch:      1

Summary:	Interface to vgetty(8)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Modem/%{upstream_name}-0.03.tar.gz
Patch0:		Modem-Vgetty-0.03-VOCP.patch

BuildArch:	noarch

%description
Modem::Vgetty is an encapsulation object for writing applications for voice
modems using the vgetty(8) or vm(8) package. The answering machines and
sofisticated voice applications can be written using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
# perl path hack
find . -type f | \
    xargs %{__perl} -pi -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc examples ChangeLog README
%{perl_vendorlib}/Modem
%{_mandir}/man3*/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:0.30.0-7.mga6
+ Revision: 1029906
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1:0.30.0-6.mga6
+ Revision: 932432
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.30.0-5.mga5
+ Revision: 748824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.30.0-4.mga5
+ Revision: 685408
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.30.0-3.mga4
+ Revision: 512878
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.30.0-2.mga3
+ Revision: 369749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1:0.30.0-1.mga1
+ Revision: 12966
- imported package perl-Modem-Vgetty


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.30.0-1mdv2010.1
+ Revision: 504968
- decrement rpm version to match real package version (sigh)

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 419930
- new perl version macro

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.04-9mdv2009.0
+ Revision: 241749
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-7mdv2008.0
+ Revision: 86639
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-6mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-5mdk
- Fix According to perl Policy
	- add module macro
	- Source URL
	- URL
- use mkrel

* Mon Jul 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.04-4mdk
- rebuild

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.04-3mdk
- rebuilt, fix deps
- use macros

